> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rek.la/llms.txt
> Use this file to discover all available pages before exploring further.

# Информация о владельце ключа

> Получить информацию о пользователе Rekla, которому принадлежит API-ключ.



## OpenAPI

````yaml /api/openapi.json get /external-api/me
openapi: 3.0.1
info:
  title: Rekla External API
  description: API для интеграции внешних партнёров с платформой Rekla
  version: 1.0.0
servers:
  - url: https://api.rek.la
    description: Production
security: []
tags:
  - name: External API
    description: Эндпоинты для внешних партнёров
paths:
  /external-api/me:
    get:
      tags:
        - External API
      summary: Информация о владельце ключа
      description: Получить информацию о пользователе Rekla, которому принадлежит API-ключ.
      parameters:
        - $ref: '#/components/parameters/XApiKey'
        - $ref: '#/components/parameters/XPartnerId'
      responses:
        '200':
          description: Информация о пользователе
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: integer
                    format: int64
                  name:
                    type: string
                  username:
                    type: string
                    nullable: true
                required:
                  - id
                  - name
              example:
                id: 753967249
                name: Максим
                username: m5286606
        '401':
          description: Невалидный или отсутствующий API-ключ / Partner ID
components:
  parameters:
    XApiKey:
      name: X-API-Key
      in: header
      required: true
      description: API-ключ, полученный через Telegram-бота Rekla
      schema:
        type: string
      example: rekla_api:abc123...
    XPartnerId:
      name: X-Partner-Id
      in: header
      required: true
      description: Публичный идентификатор партнёра, выданный при регистрации
      schema:
        type: string
      example: 568d4f6f505e0458801cbd695d31f7af

````